.TH HUG "1" "November 2018" "hug" "User Commands"
.SH NAME
hug \- manual page for hug
.SH DESCRIPTION
usage: hug [\-h] [\-v] [\-f FILE] [\-m MODULE] [\-ho HOST] [\-p PORT] [\-n] [\-ma]
.IP
[\-i INTERVAL] [\-c COMMAND] [\-s]
.PP
Hug API Development Server
.SS "optional arguments:"
.TP
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-v\fR, \fB\-\-version\fR
show program's version number and exit
.TP
\fB\-f\fR FILE, \fB\-\-file\fR FILE
file
.TP
\fB\-m\fR MODULE, \fB\-\-module\fR MODULE
module
.TP
\fB\-ho\fR HOST, \fB\-\-host\fR HOST
host
.TP
\fB\-p\fR PORT, \fB\-\-port\fR PORT
A Whole number
.TP
\fB\-n\fR, \fB\-\-no_404_documentation\fR
Providing any value will set this to true
.TP
\fB\-ma\fR, \fB\-\-manual_reload\fR
Providing any value will set this to true
.TP
\fB\-i\fR INTERVAL, \fB\-\-interval\fR INTERVAL
A Whole number
.TP
\fB\-c\fR COMMAND, \fB\-\-command\fR COMMAND
command
.TP
\fB\-s\fR, \fB\-\-silent\fR
Providing any value will set this to true
